# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.from_deps
    - gecko_taskgraph.transforms.chunk_partners
    - gecko_taskgraph.transforms.name_sanity
    - gecko_taskgraph.transforms.task

kind-dependencies:
    - release-partner-repack

task-defaults:
    run-on-repo-type: [hg]

only-for-build-platforms:
    - linux64-shippable/opt

tasks:
    release-partner-repack-chunking-dummy:
        from-deps:
            group-by: single-with-filters
            copy-attributes: true
        shipping-phase: promote
        shipping-product: firefox
        name: release-partner-repack-chunking-dummy
        description: Dummy task to deal with fanning out Linux partner repacks
        run-on-projects: []
        worker-type: succeed
